Archive the CategorySlideShow extension
Closed, ResolvedPublicRequest

Description

Reason: https://github.com/wikimedia/mediawiki-extensions-CategorySlideShow README says "it's not really done yet" and was started 5 years ago. Unless more work is planned, I suggest we archive the extension.

  • Archive documentation on mediawiki.org [there was none]
  • Remove from mediawiki/extensions (along with in .gitmodules)
  • Remove tests in integration/config (zuul/layout.yaml)
  • Empty repository and add a OBSOLETE file.
  • Archive the extension's diffusion repository (rECAS)
  • Mark the repository read-only in Gerrit.
  • Delete the GitHub mirror.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 10 2018, 7:44 PM
MarcoAurelio renamed this task from Archive the CategorySlideShow to Archive the CategorySlideShow extension.Feb 10 2018, 7:45 PM

No objections so I'll handle this.

Restricted Application added a project: User-MarcoAurelio. · View Herald TranscriptMay 6 2018, 9:12 PM

Change 431603 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[mediawiki/extensions@master] Archive extension CategorySlideShow

https://gerrit.wikimedia.org/r/431603

Change 431603 merged by Jforrester:
[mediawiki/extensions@master] Archive extension CategorySlideShow

https://gerrit.wikimedia.org/r/431603

Change 431610 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[integration/config@master] Archive extension CategorySlideShow

https://gerrit.wikimedia.org/r/431610

Change 431613 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[mediawiki/extensions/CategorySlideShow@master] Archive extension

https://gerrit.wikimedia.org/r/431613

Change 431614 had a related patch set (by MarcoAurelio) published:
[mediawiki/extensions/CategorySlideShow@refs/meta/config] Mark repository as archived and read only

https://gerrit.wikimedia.org/r/431614

Change 431613 merged by Jforrester:
[mediawiki/extensions/CategorySlideShow@master] Archive extension

https://gerrit.wikimedia.org/r/431613

Change 431614 merged by Jforrester:
[mediawiki/extensions/CategorySlideShow@refs/meta/config] Mark repository as archived and read only

https://gerrit.wikimedia.org/r/431614

Change 431610 merged by jenkins-bot:
[integration/config@master] Archive extension CategorySlideShow

https://gerrit.wikimedia.org/r/431610

MarcoAurelio moved this task from working on to ready on the User-MarcoAurelio board.
MarcoAurelio triaged this task as Normal priority.May 15 2018, 1:42 PM

So somebody can take care of deleting that GitHub mirror.

hashar updated the task description. (Show Details)Jun 6 2018, 5:09 PM
hashar closed this task as Resolved.
hashar added a subscriber: hashar.

I have deleted the github mirror. @MarcoAurelio feel free to poke me about those Github admin requests, I will be happy to do them in batch from time to time.

Thank you for all the Cleanup work , the form and all the adminstrative tasks. I really appreciate that.